TOUCH(1)

NIMI
touch - vaihda tiedoston aikaleimoja

YLEISKATSAUS
touch [VALITSIN]... TIEDOSTO...

KUVAUS

Päivitä kunkin TIEDOSTON käyttö- ja muokkausajat nykyiseen aikaan.

A FILE argument that does not exist is created empty, unless -c or -h is supplied.

A FILE argument string of - is handled specially and causes touch to change the times of the file associated with standard output.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-a  muuta vain käyttöaikaa

-c, --no-create
    älä luo tiedostoja

-d, --date=MJONO
    parse STRING and use it instead of current time

-f  (ei huomioida)

-h, --no-dereference
    affect each symbolic link instead of any referenced file (useful only on systems that can change the timestamps of a symlink)

-m  muuta vain muutosaikaa

-r, --reference=TIEDOSTO
    käytä tämän TIEDOSTOn aikoja nykyisen ajan sijaan

-t LEIMA
    käytä aikaa [[CC]VV]KKPPttmm[.ss] nykyisen ajan sijaan

--time=SANA
    change the specified time: WORD is access, atime, or use: equivalent to -a WORD is modify or mtime: equivalent to -m

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Huomaa, että valitsimien -d ja -t hyväksymät aika-päiväysmuodot ovat erilaisia.

DATE STRING
The --date=STRING is a mostly free format human readable date string such as "Sun, 29 Feb 2004 16:21:42 -0800" or "2004-02-29 16:21:42" or even "next Thursday". A date string may contain items indicating calendar date, time of day, time zone, day of week, relative time, relative date, and numbers. An empty string indicates the beginning of the day. The date string format is more complex than is easily documented here but is fully described in the info documentation.

TEKIJÄ
Kirjoittaneet Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie ja Randy Smith.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/touch>
tai saatavilla paikallisesti: info '(coreutils) touch invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Sami Kuhmonen <sami@iqs.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.